Bug 19573 - Link to make a new list in masthead in OPAC only appears / works if no other list already exists
Summary: Link to make a new list in masthead in OPAC only appears / works if no other ...
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-11-02 21:25 UTC by Kelly McElligott
Modified: 2018-06-04 20:15 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19573: Link to make a new list in masthead in OPAC only appears / works if no other list already exists (1.94 KB, patch)
2017-11-09 15:58 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19573: Link to make a new list in masthead in OPAC only appears / works if no other list already exists (2.00 KB, patch)
2017-11-10 12:46 UTC, Simon Pouchol
Details | Diff | Splinter Review
Bug 19573: Link to make a new list in masthead in OPAC only appears / works if no other list already exists (2.06 KB, patch)
2017-12-21 07:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Kelly McElligott 2017-11-02 21:25:22 UTC
The new enhancement from bug 17948 allows for a quick New List option in the List function found in the masthead in OPAC.  This enhancement can only be seen when the patron has no lists already created.  If a patron has a private list created, the option for that New List will not appear.
Comment 1 Owen Leonard 2017-11-09 15:58:33 UTC Comment hidden (obsolete)
Comment 2 Simon Pouchol 2017-11-10 12:46:36 UTC
Created attachment 69081 [details] [review]
Bug 19573: Link to make a new list in masthead in OPAC only appears / works if no other list already exists

This patch corrects the OPAC masthead include file so that the "New
list" link will appear whether or not the logged-in user has existing
private lists.

To test, apply the patch and log into the OPAC as both a user with
private lists and a user without private lists. The header's "Lists"
dropdown menu should include a "New list" link in both cases.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>
Comment 3 Katrin Fischer 2017-12-21 07:15:26 UTC
Hi Simon, please make sure to assign the bug to yourself when you provide a patch, thanks!
Comment 4 Katrin Fischer 2017-12-21 07:15:55 UTC
Ah... misread, changing back and sorry. No more bugs before breakfast :)
Comment 5 Katrin Fischer 2017-12-21 07:40:35 UTC
Created attachment 69987 [details] [review]
Bug 19573: Link to make a new list in masthead in OPAC only appears / works if no other list already exists

This patch corrects the OPAC masthead include file so that the "New
list" link will appear whether or not the logged-in user has existing
private lists.

To test, apply the patch and log into the OPAC as both a user with
private lists and a user without private lists. The header's "Lists"
dropdown menu should include a "New list" link in both cases.

Signed-off-by: Simon Pouchol <simon.pouchol@biblibre.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Jonathan Druart 2017-12-21 16:23:59 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 7 Nick Clemens 2018-01-15 16:42:28 UTC
Awesome work all, pushed to stable for 17.11.02
Comment 8 Fridolin SOMERS 2018-01-19 09:03:12 UTC
Pushed to 17.05.x for v17.05.08